CHEF-2346: solr maxFieldLength issue


#1

Hello chef-dev!

In my upgrade from 0.9.16 to 0.10.2 I was bitten by
http://tickets.opscode.com/browse/CHEF-2346 which caused some nodes to
not show up in my search indexes and making a bit of a mess of my
nagios server with nodes dropping out of monitoring. Madhurranjan
Mohaan ran into this as well shortly after me.

I’ve added some notes to the ticket and am looking for feedback on a
sane default for this value. Seems like a pretty important issue to
resolve as it’s very very confusing to debug.

Not sure how a fix could be rolled out for this one as it’s hidden
within solr-home.tar.gz. Have chef-expander or solr look for the old
value and toss a warning? Edit the config in place? Just mention it in
the release notes?

  • Matt

#2

On Friday, August 12, 2011 at 10:53 AM, Matthew Kent wrote:

Hello chef-dev!

In my upgrade from 0.9.16 to 0.10.2 I was bitten by
http://tickets.opscode.com/browse/CHEF-2346 which caused some nodes to
not show up in my search indexes and making a bit of a mess of my
nagios server with nodes dropping out of monitoring. Madhurranjan
Mohaan ran into this as well shortly after me.

I’ve added some notes to the ticket and am looking for feedback on a
sane default for this value. Seems like a pretty important issue to
resolve as it’s very very confusing to debug.

Not sure how a fix could be rolled out for this one as it’s hidden
within solr-home.tar.gz. Have chef-expander or solr look for the old
value and toss a warning? Edit the config in place? Just mention it in
the release notes?

  • Matt
    It’s possible to force chef-solr to upgrade things by bumping the schema version.

Look at: https://github.com/opscode/chef/blob/master/chef-solr/lib/chef/solr/application/solr.rb
and https://github.com/opscode/chef/blob/master/chef-solr/lib/chef/solr/version.rb


Dan DeLeo


#3

On Fri, Aug 12, 2011 at 11:16 AM, Daniel DeLeo dan@kallistec.com wrote:

It’s possible to force chef-solr to upgrade things by bumping the schema version.

Look at: https://github.com/opscode/chef/blob/master/chef-solr/lib/chef/solr/application/solr.rb
and https://github.com/opscode/chef/blob/master/chef-solr/lib/chef/solr/version.rb

Should have looked there, that’s great. Any thoughts on a sane default?